ace-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From j...@apache.org
Subject svn commit: r1725908 - in /ace/trunk/cnf: ext/ lib/ lib/javax.inject/ localrepo/ localrepo/bcpkix/ localrepo/com.mongodb/ localrepo/org.amdatu.mongo/ localrepo/org.mongodb.mongo-java-driver/
Date Thu, 21 Jan 2016 11:35:38 GMT
Author: jawi
Date: Thu Jan 21 11:35:37 2016
New Revision: 1725908

URL: http://svn.apache.org/viewvc?rev=1725908&view=rev
Log:
Fixed some more imminent build failures:

- use "old" JUnit runner by default for running Bnd itests;
- use proper JAR version of javax.inject;
- add recent version of BC PKIX library (used in itests);
- upgrade mongoDB bundles to recent versions.


Added:
    ace/trunk/cnf/lib/index.xml.gz   (with props)
    ace/trunk/cnf/lib/javax.inject/javax.inject-1.0.0.jar   (with props)
    ace/trunk/cnf/localrepo/bcpkix/
    ace/trunk/cnf/localrepo/bcpkix/bcpkix-1.54.0.jar   (with props)
    ace/trunk/cnf/localrepo/org.amdatu.mongo/org.amdatu.mongo-1.2.0.jar   (with props)
    ace/trunk/cnf/localrepo/org.mongodb.mongo-java-driver/
    ace/trunk/cnf/localrepo/org.mongodb.mongo-java-driver/org.mongodb.mongo-java-driver-2.13.3.jar   (with props)
Removed:
    ace/trunk/cnf/lib/javax.inject/javax.inject-1.jar
    ace/trunk/cnf/localrepo/com.mongodb/
    ace/trunk/cnf/localrepo/org.amdatu.mongo/org.amdatu.mongo-1.0.4.jar
Modified:
    ace/trunk/cnf/ext/defaults.bnd
    ace/trunk/cnf/ext/repositories.bnd
    ace/trunk/cnf/lib/repository.xml
    ace/trunk/cnf/localrepo/index.xml
    ace/trunk/cnf/localrepo/index.xml.sha

Modified: ace/trunk/cnf/ext/defaults.bnd
URL: http://svn.apache.org/viewvc/ace/trunk/cnf/ext/defaults.bnd?rev=1725908&r1=1725907&r2=1725908&view=diff
==============================================================================
--- ace/trunk/cnf/ext/defaults.bnd (original)
+++ ace/trunk/cnf/ext/defaults.bnd Thu Jan 21 11:35:37 2016
@@ -37,5 +37,8 @@ Bundle-Vendor: The Apache Software Found
 # Remove certain generated headers that we don't need
 -removeheaders: Bnd-LastModified,Tool,Created-By,Private-Package
 
+# Fall back to the "old" method of running integration tests.
+-tester: biz.aQute.junit
+
 # Semantic versioning
 #-baseline: *

Modified: ace/trunk/cnf/ext/repositories.bnd
URL: http://svn.apache.org/viewvc/ace/trunk/cnf/ext/repositories.bnd?rev=1725908&r1=1725907&r2=1725908&view=diff
==============================================================================
--- ace/trunk/cnf/ext/repositories.bnd (original)
+++ ace/trunk/cnf/ext/repositories.bnd Thu Jan 21 11:35:37 2016
@@ -4,7 +4,7 @@ plugindir: ${workspace}/cnf/plugins
 
 -plugin: aQute.bnd.deployer.repository.LocalIndexedRepo;name=Release;local=${workspace}/cnf/releaserepo;pretty=true,\
 	aQute.bnd.deployer.repository.LocalIndexedRepo;name=Local;local=${workspace}/cnf/localrepo;pretty=true,\
-	aQute.bnd.deployer.repository.FixedIndexedRepo;name=Library Repository;locations='file://${build}/lib/repository.xml',\
+	aQute.bnd.deployer.repository.FixedIndexedRepo;name=Library Repository;locations='file://${build}/lib/index.xml.gz',\
 	aQute.lib.deployer.FileRepo;name=Build;location=${workspace}/cnf/buildrepo
 
 -releaserepo: Release

Added: ace/trunk/cnf/lib/index.xml.gz
URL: http://svn.apache.org/viewvc/ace/trunk/cnf/lib/index.xml.gz?rev=1725908&view=auto
==============================================================================
Binary file - no diff available.

Propchange: ace/trunk/cnf/lib/index.xml.gz
------------------------------------------------------------------------------
    svn:mime-type = application/x-gzip

Added: ace/trunk/cnf/lib/javax.inject/javax.inject-1.0.0.jar
URL: http://svn.apache.org/viewvc/ace/trunk/cnf/lib/javax.inject/javax.inject-1.0.0.jar?rev=1725908&view=auto
==============================================================================
Binary file - no diff available.

Propchange: ace/trunk/cnf/lib/javax.inject/javax.inject-1.0.0.jar
------------------------------------------------------------------------------
    svn:mime-type = application/octet-stream

Modified: ace/trunk/cnf/lib/repository.xml
URL: http://svn.apache.org/viewvc/ace/trunk/cnf/lib/repository.xml?rev=1725908&r1=1725907&r2=1725908&view=diff
==============================================================================
--- ace/trunk/cnf/lib/repository.xml (original)
+++ ace/trunk/cnf/lib/repository.xml Thu Jan 21 11:35:37 2016
@@ -8,7 +8,7 @@
  <resource id='commons-lang/2.4' symbolicname='commons-lang' uri='commons-lang/commons-lang-2.4.jar' version='2.4'><capability name='bundle'><p n='manifestversion' v='2'/><p n='symbolicname' v='commons-lang'/><p n='version' t='version' v='2.4'/></capability></resource>
  <resource id='commons-logging/1.1.1' symbolicname='commons-logging' uri='commons-logging/commons-logging-1.1.1.jar' version='1.1.1'><capability name='bundle'><p n='manifestversion' v='2'/><p n='symbolicname' v='commons-logging'/><p n='version' t='version' v='1.1.1'/></capability></resource>
  <resource id='gson/1.7.1' symbolicname='gson' uri='gson/gson-1.7.1.jar' version='1.7.1'><capability name='bundle'><p n='manifestversion' v='2'/><p n='symbolicname' v='gson'/><p n='version' t='version' v='1.7.1'/></capability></resource>
- <resource id='javax.inject/1' symbolicname='javax.inject' uri='javax.inject/javax.inject-1.jar' version='1'><capability name='bundle'><p n='manifestversion' v='2'/><p n='symbolicname' v='javax.inject'/><p n='version' t='version' v='1'/></capability></resource>
+ <resource id='javax.inject/1.0.0' symbolicname='javax.inject' uri='javax.inject/javax.inject-1.0.0.jar' version='1.0.0'><capability name='bundle'><p n='manifestversion' v='2'/><p n='symbolicname' v='javax.inject'/><p n='version' t='version' v='1.0.0'/></capability></resource>
  <resource id='jsr250-api/1.0' symbolicname='jsr250-api' uri='jsr250-api/jsr250-api-1.0.jar' version='1.0'><capability name='bundle'><p n='manifestversion' v='2'/><p n='symbolicname' v='jsr250-api'/><p n='version' t='version' v='1.0'/></capability></resource>
  <resource id='jsr305/1.3.9' symbolicname='jsr305' uri='jsr305/jsr305-1.3.9.jar' version='1.3.9'><capability name='bundle'><p n='manifestversion' v='2'/><p n='symbolicname' v='jsr305'/><p n='version' t='version' v='1.3.9'/></capability></resource>
  <resource id='junit/4.8.2' symbolicname='junit' uri='junit/junit-4.8.2.jar' version='4.8.2'><capability name='bundle'><p n='manifestversion' v='2'/><p n='symbolicname' v='junit'/><p n='version' t='version' v='4.8.2'/></capability></resource>

Added: ace/trunk/cnf/localrepo/bcpkix/bcpkix-1.54.0.jar
URL: http://svn.apache.org/viewvc/ace/trunk/cnf/localrepo/bcpkix/bcpkix-1.54.0.jar?rev=1725908&view=auto
==============================================================================
Binary file - no diff available.

Propchange: ace/trunk/cnf/localrepo/bcpkix/bcpkix-1.54.0.jar
------------------------------------------------------------------------------
    svn:mime-type = application/octet-stream

Modified: ace/trunk/cnf/localrepo/index.xml
URL: http://svn.apache.org/viewvc/ace/trunk/cnf/localrepo/index.xml?rev=1725908&r1=1725907&r2=1725908&view=diff
==============================================================================
--- ace/trunk/cnf/localrepo/index.xml (original)
+++ ace/trunk/cnf/localrepo/index.xml Thu Jan 21 11:35:37 2016
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="utf-8"?>
-<repository increment="1453365242000" name="Local" xmlns="http://www.osgi.org/xmlns/repository/v1.0.0">
+<repository increment="1453375031000" name="Local" xmlns="http://www.osgi.org/xmlns/repository/v1.0.0">
   <resource>
     <capability namespace="osgi.identity">
       <attribute name="osgi.identity" value="aws-common"/>
@@ -531,6 +531,473 @@
   </resource>
   <resource>
     <capability namespace="osgi.identity">
+      <attribute name="osgi.identity" value="bcpkix"/>
+      <attribute name="type" value="osgi.bundle"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+    </capability>
+    <capability namespace="osgi.content">
+      <attribute name="osgi.content" value="d618dcfbf0337b91015b21d4b398175ae96382a82c7e1d6e8c657fcd236463c7"/>
+      <attribute name="url" value="bcpkix/bcpkix-1.54.0.jar"/>
+      <attribute name="size" type="Long" value="673715"/>
+      <attribute name="mime" value="application/vnd.osgi.bundle"/>
+    </capability>
+    <capability namespace="osgi.wiring.bundle">
+      <attribute name="osgi.wiring.bundle" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+    </capability>
+    <capability namespace="osgi.wiring.host">
+      <attribute name="osgi.wiring.host" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.cert"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1,org.bouncycastle.asn1.x500,org.bouncycastle.asn1.x509,org.bouncycastle.operator,org.bouncycastle.util"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.cert.bc"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1.x500,org.bouncycastle.asn1.x509,org.bouncycastle.cert,org.bouncycastle.crypto.params,org.bouncycastle.operator"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.cert.cmp"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1.cmp,org.bouncycastle.asn1.x500,org.bouncycastle.asn1.x509,org.bouncycastle.cert,org.bouncycastle.cert.crmf,org.bouncycastle.operator"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.cert.crmf"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1,org.bouncycastle.asn1.cmp,org.bouncycastle.asn1.crmf,org.bouncycastle.asn1.pkcs,org.bouncycastle.asn1.x500,org.bouncycastle.asn1.x509,org.bouncycastle.cert,org.bouncycastle.cms,org.bouncycastle.operator,org.bouncycastle.util"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.cert.crmf.bc"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.cert.crmf"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.cert.crmf.jcajce"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="javax.security.auth.x500,org.bouncycastle.asn1,org.bouncycastle.asn1.crmf,org.bouncycastle.asn1.x500,org.bouncycastle.asn1.x509,org.bouncycastle.cert.crmf,org.bouncycastle.operator"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.cert.dane"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.cert,org.bouncycastle.operator,org.bouncycastle.util"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.cert.dane.fetcher"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.cert.dane"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.cert.jcajce"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="javax.security.auth.x500,org.bouncycastle.asn1,org.bouncycastle.asn1.x500,org.bouncycastle.asn1.x509,org.bouncycastle.cert,org.bouncycastle.operator,org.bouncycastle.util"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.cert.ocsp"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1,org.bouncycastle.asn1.ocsp,org.bouncycastle.asn1.x500,org.bouncycastle.asn1.x509,org.bouncycastle.cert,org.bouncycastle.operator,org.bouncycastle.util"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.cert.ocsp.jcajce"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="javax.security.auth.x500,org.bouncycastle.cert.ocsp,org.bouncycastle.operator"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.cert.path"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1,org.bouncycastle.cert,org.bouncycastle.util"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.cert.path.validations"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1.x500,org.bouncycastle.cert,org.bouncycastle.cert.path,org.bouncycastle.util"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.cert.selector"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1.x500,org.bouncycastle.asn1.x509,org.bouncycastle.cert,org.bouncycastle.util"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.cert.selector.jcajce"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="javax.security.auth.x500,org.bouncycastle.asn1.x500,org.bouncycastle.cert.selector"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.cms"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1,org.bouncycastle.asn1.cms,org.bouncycastle.asn1.x500,org.bouncycastle.asn1.x509,org.bouncycastle.cert,org.bouncycastle.operator,org.bouncycastle.util"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.cms.bc"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1,org.bouncycastle.asn1.cms,org.bouncycastle.asn1.x509,org.bouncycastle.cert,org.bouncycastle.cms,org.bouncycastle.crypto,org.bouncycastle.crypto.params,org.bouncycastle.operator,org.bouncycastle.operator.bc"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.cms.jcajce"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="javax.crypto,javax.security.auth.x500,org.bouncycastle.asn1,org.bouncycastle.asn1.cms,org.bouncycastle.asn1.x509,org.bouncycastle.cert,org.bouncycastle.cert.selector.jcajce,org.bouncycastle.cms,org.bouncycastle.jcajce.util,org.bouncycastle.operator,org.bouncycastle.operator.jcajce"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.dvcs"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1,org.bouncycastle.asn1.cms,org.bouncycastle.asn1.dvcs,org.bouncycastle.asn1.x509,org.bouncycastle.cert,org.bouncycastle.cms,org.bouncycastle.operator"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.eac"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1.eac,org.bouncycastle.eac.operator"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.eac.jcajce"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1,org.bouncycastle.asn1.eac,org.bouncycastle.eac"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.eac.operator"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.eac.operator.jcajce"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1,org.bouncycastle.eac.operator,org.bouncycastle.operator"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.mozilla"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1,org.bouncycastle.asn1.mozilla,org.bouncycastle.asn1.x509,org.bouncycastle.operator,org.bouncycastle.util"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.mozilla.jcajce"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.mozilla"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.openssl"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1,org.bouncycastle.asn1.pkcs,org.bouncycastle.asn1.x509,org.bouncycastle.cert,org.bouncycastle.operator,org.bouncycastle.util.io.pem"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.openssl.bc"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.openssl"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.openssl.jcajce"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1,org.bouncycastle.asn1.pkcs,org.bouncycastle.asn1.x509,org.bouncycastle.openssl,org.bouncycastle.operator,org.bouncycastle.pkix.jcajce,org.bouncycastle.util.io.pem"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.operator"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1,org.bouncycastle.asn1.x509,org.bouncycastle.cert"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.operator.bc"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1,org.bouncycastle.asn1.x509,org.bouncycastle.cert,org.bouncycastle.crypto,org.bouncycastle.crypto.params,org.bouncycastle.operator"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.operator.jcajce"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="javax.crypto,org.bouncycastle.asn1,org.bouncycastle.asn1.x509,org.bouncycastle.cert,org.bouncycastle.operator"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.pkcs"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1,org.bouncycastle.asn1.pkcs,org.bouncycastle.asn1.x500,org.bouncycastle.asn1.x509,org.bouncycastle.cert,org.bouncycastle.operator"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.pkcs.bc"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1,org.bouncycastle.asn1.pkcs,org.bouncycastle.asn1.x500,org.bouncycastle.asn1.x509,org.bouncycastle.crypto,org.bouncycastle.crypto.params,org.bouncycastle.operator,org.bouncycastle.operator.bc,org.bouncycastle.pkcs"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.pkcs.jcajce"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="javax.security.auth.x500,org.bouncycastle.asn1,org.bouncycastle.asn1.pkcs,org.bouncycastle.asn1.x500,org.bouncycastle.asn1.x509,org.bouncycastle.operator,org.bouncycastle.pkcs"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.pkix"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1.pkcs,org.bouncycastle.cert,org.bouncycastle.cms"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.pkix.jcajce"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.pkix"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.tsp"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1,org.bouncycastle.asn1.cmp,org.bouncycastle.asn1.cms,org.bouncycastle.asn1.tsp,org.bouncycastle.asn1.x509,org.bouncycastle.cert,org.bouncycastle.cms,org.bouncycastle.operator,org.bouncycastle.util"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.tsp.cms"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.asn1.cms,org.bouncycastle.cms,org.bouncycastle.operator,org.bouncycastle.tsp"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bouncycastle.voms"/>
+      <attribute name="version" type="Version" value="1.54.0"/>
+      <attribute name="bundle-symbolic-name" value="bcpkix"/>
+      <attribute name="bundle-version" type="Version" value="1.54.0"/>
+      <directive name="uses" value="org.bouncycastle.cert"/>
+    </capability>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.bc)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.bsi)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.cmp)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.cms)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.cms.ecc)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.crmf)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.cryptopro)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.dvcs)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.eac)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.ess)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.gnu)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.iana)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.iso)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.kisa)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.misc)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.mozilla)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.nist)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.ntt)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.ocsp)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.oiw)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.pkcs)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.sec)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.teletrust)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.tsp)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.x500)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.x509)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.asn1.x9)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.crypto)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.crypto.digests)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.crypto.encodings)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.crypto.engines)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.crypto.generators)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.crypto.io)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.crypto.macs)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.crypto.modes)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.crypto.paddings)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.crypto.params)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.crypto.signers)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.crypto.util)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.jcajce)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.jcajce.io)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.jcajce.spec)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.jcajce.util)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.math.ec)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.math.field)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.util)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.util.encoders)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.util.io)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.bouncycastle.util.io.pem)(version&gt;=1.54.0))"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(osgi.wiring.package=javax.crypto)"/>
+      <directive name="resolution" value="optional"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(osgi.wiring.package=javax.crypto.spec)"/>
+      <directive name="resolution" value="optional"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(osgi.wiring.package=javax.naming)"/>
+      <directive name="resolution" value="optional"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(osgi.wiring.package=javax.naming.directory)"/>
+      <directive name="resolution" value="optional"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(osgi.wiring.package=javax.security.auth.x500)"/>
+      <directive name="resolution" value="optional"/>
+    </requirement>
+    <requirement namespace="osgi.ee">
+      <directive name="filter" value="(|(&amp;(osgi.ee=JavaSE)(version=1.5))(&amp;(osgi.ee=JavaSE)(version=1.6))(&amp;(osgi.ee=JavaSE)(version=1.7))(&amp;(osgi.ee=JavaSE)(version=1.8))(&amp;(osgi.ee=JavaSE)(version=1.9)))"/>
+    </requirement>
+  </resource>
+  <resource>
+    <capability namespace="osgi.identity">
       <attribute name="osgi.identity" value="bcprov"/>
       <attribute name="type" value="osgi.bundle"/>
       <attribute name="version" type="Version" value="1.54.0"/>
@@ -2120,84 +2587,6 @@
   </resource>
   <resource>
     <capability namespace="osgi.identity">
-      <attribute name="osgi.identity" value="com.mongodb"/>
-      <attribute name="type" value="osgi.bundle"/>
-      <attribute name="version" type="Version" value="2.7.3"/>
-    </capability>
-    <capability namespace="osgi.content">
-      <attribute name="osgi.content" value="c7cfaab672ba0c994c520ed23f421ced12dc7f8dfdd8a344c4086ebad2566261"/>
-      <attribute name="url" value="com.mongodb/com.mongodb-2.7.3.jar"/>
-      <attribute name="size" type="Long" value="295160"/>
-      <attribute name="mime" value="application/vnd.osgi.bundle"/>
-    </capability>
-    <capability namespace="osgi.wiring.bundle">
-      <attribute name="osgi.wiring.bundle" value="com.mongodb"/>
-      <attribute name="bundle-version" type="Version" value="2.7.3"/>
-    </capability>
-    <capability namespace="osgi.wiring.host">
-      <attribute name="osgi.wiring.host" value="com.mongodb"/>
-      <attribute name="bundle-version" type="Version" value="2.7.3"/>
-    </capability>
-    <capability namespace="osgi.wiring.package">
-      <attribute name="osgi.wiring.package" value="com.mongodb"/>
-      <attribute name="version" type="Version" value="0.0.0"/>
-      <attribute name="bundle-symbolic-name" value="com.mongodb"/>
-      <attribute name="bundle-version" type="Version" value="2.7.3"/>
-    </capability>
-    <capability namespace="osgi.wiring.package">
-      <attribute name="osgi.wiring.package" value="com.mongodb.io"/>
-      <attribute name="version" type="Version" value="0.0.0"/>
-      <attribute name="bundle-symbolic-name" value="com.mongodb"/>
-      <attribute name="bundle-version" type="Version" value="2.7.3"/>
-    </capability>
-    <capability namespace="osgi.wiring.package">
-      <attribute name="osgi.wiring.package" value="com.mongodb.util"/>
-      <attribute name="version" type="Version" value="0.0.0"/>
-      <attribute name="bundle-symbolic-name" value="com.mongodb"/>
-      <attribute name="bundle-version" type="Version" value="2.7.3"/>
-    </capability>
-    <capability namespace="osgi.wiring.package">
-      <attribute name="osgi.wiring.package" value="com.mongodb.gridfs"/>
-      <attribute name="version" type="Version" value="0.0.0"/>
-      <attribute name="bundle-symbolic-name" value="com.mongodb"/>
-      <attribute name="bundle-version" type="Version" value="2.7.3"/>
-    </capability>
-    <capability namespace="osgi.wiring.package">
-      <attribute name="osgi.wiring.package" value="org.bson"/>
-      <attribute name="version" type="Version" value="0.0.0"/>
-      <attribute name="bundle-symbolic-name" value="com.mongodb"/>
-      <attribute name="bundle-version" type="Version" value="2.7.3"/>
-    </capability>
-    <capability namespace="osgi.wiring.package">
-      <attribute name="osgi.wiring.package" value="org.bson.util"/>
-      <attribute name="version" type="Version" value="0.0.0"/>
-      <attribute name="bundle-symbolic-name" value="com.mongodb"/>
-      <attribute name="bundle-version" type="Version" value="2.7.3"/>
-    </capability>
-    <capability namespace="osgi.wiring.package">
-      <attribute name="osgi.wiring.package" value="org.bson.types"/>
-      <attribute name="version" type="Version" value="0.0.0"/>
-      <attribute name="bundle-symbolic-name" value="com.mongodb"/>
-      <attribute name="bundle-version" type="Version" value="2.7.3"/>
-    </capability>
-    <capability namespace="osgi.wiring.package">
-      <attribute name="osgi.wiring.package" value="org.bson.io"/>
-      <attribute name="version" type="Version" value="0.0.0"/>
-      <attribute name="bundle-symbolic-name" value="com.mongodb"/>
-      <attribute name="bundle-version" type="Version" value="2.7.3"/>
-    </capability>
-    <requirement namespace="osgi.wiring.package">
-      <directive name="filter" value="(osgi.wiring.package=javax.management)"/>
-    </requirement>
-    <requirement namespace="osgi.wiring.package">
-      <directive name="filter" value="(osgi.wiring.package=javax.net)"/>
-    </requirement>
-    <requirement namespace="osgi.wiring.package">
-      <directive name="filter" value="(osgi.wiring.package=javax.net.ssl)"/>
-    </requirement>
-  </resource>
-  <resource>
-    <capability namespace="osgi.identity">
       <attribute name="osgi.identity" value="com.sun.jersey.client"/>
       <attribute name="type" value="osgi.bundle"/>
       <attribute name="version" type="Version" value="1.13.0"/>
@@ -6246,40 +6635,40 @@
     <capability namespace="osgi.identity">
       <attribute name="osgi.identity" value="org.amdatu.mongo"/>
       <attribute name="type" value="osgi.bundle"/>
-      <attribute name="version" type="Version" value="1.0.4"/>
+      <attribute name="version" type="Version" value="1.2.0"/>
     </capability>
     <capability namespace="osgi.content">
-      <attribute name="osgi.content" value="b3f2b55e2a87b696436b704ef164405f326ae3650a5cae91dcf070c566a29438"/>
-      <attribute name="url" value="org.amdatu.mongo/org.amdatu.mongo-1.0.4.jar"/>
-      <attribute name="size" type="Long" value="12026"/>
+      <attribute name="osgi.content" value="c7bae285929ffed4da7d1f58780acee3dd02ca7314e3219756861e4b6b10cfea"/>
+      <attribute name="url" value="org.amdatu.mongo/org.amdatu.mongo-1.2.0.jar"/>
+      <attribute name="size" type="Long" value="14003"/>
       <attribute name="mime" value="application/vnd.osgi.bundle"/>
     </capability>
     <capability namespace="osgi.wiring.bundle">
       <attribute name="osgi.wiring.bundle" value="org.amdatu.mongo"/>
-      <attribute name="bundle-version" type="Version" value="1.0.4"/>
+      <attribute name="bundle-version" type="Version" value="1.2.0"/>
     </capability>
     <capability namespace="osgi.wiring.host">
       <attribute name="osgi.wiring.host" value="org.amdatu.mongo"/>
-      <attribute name="bundle-version" type="Version" value="1.0.4"/>
+      <attribute name="bundle-version" type="Version" value="1.2.0"/>
     </capability>
     <capability namespace="osgi.wiring.package">
       <attribute name="osgi.wiring.package" value="org.amdatu.mongo"/>
-      <attribute name="version" type="Version" value="1.0.0"/>
+      <attribute name="version" type="Version" value="1.1.2"/>
       <attribute name="bundle-symbolic-name" value="org.amdatu.mongo"/>
-      <attribute name="bundle-version" type="Version" value="1.0.4"/>
+      <attribute name="bundle-version" type="Version" value="1.2.0"/>
       <directive name="uses" value="com.mongodb"/>
     </capability>
     <requirement namespace="osgi.wiring.package">
-      <directive name="filter" value="(osgi.wiring.package=com.mongodb)"/>
+      <directive name="filter" value="(&amp;(osgi.wiring.package=com.mongodb)(version&gt;=2.10.0)(!(version&gt;=3.0.0)))"/>
     </requirement>
     <requirement namespace="osgi.wiring.package">
-      <directive name="filter" value="(&amp;(osgi.wiring.package=org.amdatu.mongo)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))"/>
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.amdatu.mongo)(version&gt;=1.1.0)(!(version&gt;=2.0.0)))"/>
     </requirement>
     <requirement namespace="osgi.wiring.package">
-      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.felix.dm)(version&gt;=3.0.0)(!(version&gt;=4.0.0)))"/>
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.felix.dm)(version&gt;=4.0.0)(!(version&gt;=5.0.0)))"/>
     </requirement>
     <requirement namespace="osgi.wiring.package">
-      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))"/>
+      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
     </requirement>
     <requirement namespace="osgi.wiring.package">
       <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.service.cm)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
@@ -6287,6 +6676,9 @@
     <requirement namespace="osgi.wiring.package">
       <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.service.log)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
     </requirement>
+    <requirement namespace="osgi.ee">
+      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.7))"/>
+    </requirement>
   </resource>
   <resource>
     <capability namespace="osgi.identity">
@@ -7732,6 +8124,105 @@
     </requirement>
   </resource>
   <resource>
+    <capability namespace="osgi.identity">
+      <attribute name="osgi.identity" value="org.mongodb.mongo-java-driver"/>
+      <attribute name="type" value="osgi.bundle"/>
+      <attribute name="version" type="Version" value="2.13.3.RELEASE"/>
+    </capability>
+    <capability namespace="osgi.content">
+      <attribute name="osgi.content" value="99ade23790f94a9043a3f22c5675de6a6f7a7b61e3fccbe8ba73a2dc80fb8d2f"/>
+      <attribute name="url" value="org.mongodb.mongo-java-driver/org.mongodb.mongo-java-driver-2.13.3.jar"/>
+      <attribute name="size" type="Long" value="605310"/>
+      <attribute name="mime" value="application/vnd.osgi.bundle"/>
+    </capability>
+    <capability namespace="osgi.wiring.bundle">
+      <attribute name="osgi.wiring.bundle" value="org.mongodb.mongo-java-driver"/>
+      <attribute name="bundle-version" type="Version" value="2.13.3.RELEASE"/>
+    </capability>
+    <capability namespace="osgi.wiring.host">
+      <attribute name="osgi.wiring.host" value="org.mongodb.mongo-java-driver"/>
+      <attribute name="bundle-version" type="Version" value="2.13.3.RELEASE"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="com.mongodb"/>
+      <attribute name="version" type="Version" value="2.13.3.RELEASE"/>
+      <attribute name="bundle-symbolic-name" value="org.mongodb.mongo-java-driver"/>
+      <attribute name="bundle-version" type="Version" value="2.13.3.RELEASE"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="com.mongodb.io"/>
+      <attribute name="version" type="Version" value="2.13.3.RELEASE"/>
+      <attribute name="bundle-symbolic-name" value="org.mongodb.mongo-java-driver"/>
+      <attribute name="bundle-version" type="Version" value="2.13.3.RELEASE"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="com.mongodb.util"/>
+      <attribute name="version" type="Version" value="2.13.3.RELEASE"/>
+      <attribute name="bundle-symbolic-name" value="org.mongodb.mongo-java-driver"/>
+      <attribute name="bundle-version" type="Version" value="2.13.3.RELEASE"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="com.mongodb.gridfs"/>
+      <attribute name="version" type="Version" value="2.13.3.RELEASE"/>
+      <attribute name="bundle-symbolic-name" value="org.mongodb.mongo-java-driver"/>
+      <attribute name="bundle-version" type="Version" value="2.13.3.RELEASE"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bson"/>
+      <attribute name="version" type="Version" value="2.13.3.RELEASE"/>
+      <attribute name="bundle-symbolic-name" value="org.mongodb.mongo-java-driver"/>
+      <attribute name="bundle-version" type="Version" value="2.13.3.RELEASE"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bson.util"/>
+      <attribute name="version" type="Version" value="2.13.3.RELEASE"/>
+      <attribute name="bundle-symbolic-name" value="org.mongodb.mongo-java-driver"/>
+      <attribute name="bundle-version" type="Version" value="2.13.3.RELEASE"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bson.util.annotations"/>
+      <attribute name="version" type="Version" value="2.13.3.RELEASE"/>
+      <attribute name="bundle-symbolic-name" value="org.mongodb.mongo-java-driver"/>
+      <attribute name="bundle-version" type="Version" value="2.13.3.RELEASE"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bson.types"/>
+      <attribute name="version" type="Version" value="2.13.3.RELEASE"/>
+      <attribute name="bundle-symbolic-name" value="org.mongodb.mongo-java-driver"/>
+      <attribute name="bundle-version" type="Version" value="2.13.3.RELEASE"/>
+    </capability>
+    <capability namespace="osgi.wiring.package">
+      <attribute name="osgi.wiring.package" value="org.bson.io"/>
+      <attribute name="version" type="Version" value="2.13.3.RELEASE"/>
+      <attribute name="bundle-symbolic-name" value="org.mongodb.mongo-java-driver"/>
+      <attribute name="bundle-version" type="Version" value="2.13.3.RELEASE"/>
+    </capability>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(osgi.wiring.package=javax.management)"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(osgi.wiring.package=javax.net)"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(osgi.wiring.package=javax.net.ssl)"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(osgi.wiring.package=javax.crypto)"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(osgi.wiring.package=javax.crypto.spec)"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(osgi.wiring.package=javax.security.sasl)"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(osgi.wiring.package=javax.security.auth.callback)"/>
+    </requirement>
+    <requirement namespace="osgi.wiring.package">
+      <directive name="filter" value="(osgi.wiring.package=org.ietf.jgss)"/>
+    </requirement>
+  </resource>
+  <resource>
     <capability namespace="osgi.identity">
       <attribute name="osgi.identity" value="org.ops4j.base.store"/>
       <attribute name="type" value="osgi.bundle"/>

Modified: ace/trunk/cnf/localrepo/index.xml.sha
URL: http://svn.apache.org/viewvc/ace/trunk/cnf/localrepo/index.xml.sha?rev=1725908&r1=1725907&r2=1725908&view=diff
==============================================================================
--- ace/trunk/cnf/localrepo/index.xml.sha (original)
+++ ace/trunk/cnf/localrepo/index.xml.sha Thu Jan 21 11:35:37 2016
@@ -1 +1 @@
-05e78b88cf90e6a0b9405c34f3f14bc0f555fff52ad107182fc0ae17291b6289
\ No newline at end of file
+7baf16715ecdbf5757c81d49267876c78f1c0cd1c0010d9e6f2ab13f04624bc8
\ No newline at end of file

Added: ace/trunk/cnf/localrepo/org.amdatu.mongo/org.amdatu.mongo-1.2.0.jar
URL: http://svn.apache.org/viewvc/ace/trunk/cnf/localrepo/org.amdatu.mongo/org.amdatu.mongo-1.2.0.jar?rev=1725908&view=auto
==============================================================================
Binary file - no diff available.

Propchange: ace/trunk/cnf/localrepo/org.amdatu.mongo/org.amdatu.mongo-1.2.0.jar
------------------------------------------------------------------------------
    svn:mime-type = application/octet-stream

Added: ace/trunk/cnf/localrepo/org.mongodb.mongo-java-driver/org.mongodb.mongo-java-driver-2.13.3.jar
URL: http://svn.apache.org/viewvc/ace/trunk/cnf/localrepo/org.mongodb.mongo-java-driver/org.mongodb.mongo-java-driver-2.13.3.jar?rev=1725908&view=auto
==============================================================================
Binary file - no diff available.

Propchange: ace/trunk/cnf/localrepo/org.mongodb.mongo-java-driver/org.mongodb.mongo-java-driver-2.13.3.jar
------------------------------------------------------------------------------
    svn:mime-type = application/octet-stream



Mime
View raw message